Bug 7083 - Show creator name on list of public lists
Summary: Show creator name on list of public lists
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/virtualshelves/shelves.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-24 15:17 UTC by Owen Leonard
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (3.96 KB, patch)
2011-10-24 15:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Fix for Bug 7083 - [SIGNED-OFF] Show creator name on list of public lists (4.19 KB, patch)
2011-11-04 15:41 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-10-24 15:17:45 UTC
The list of public lists in the staff client should show which patron is the creator of the list.
Comment 1 Owen Leonard 2011-10-24 15:52:49 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2011-11-04 15:41:42 UTC
Created attachment 6207 [details] [review]
Fix for Bug 7083 - [SIGNED-OFF] Show creator name on list of public lists

Show the name of the patron who created each list on the list
of public lists. Also:

- correcting unescaped ampersand in the template
- making conditional a check on a variable that doesn't always
  exist, causing noisy errors in the log

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
After applying the patch a column for "Created by" is added to the display of
public lists, and the errors in the log are silenced. On the "Your lists"
tab, the link on the list name now has an escaped ampersand.
Comment 3 Marcel de Rooy 2011-12-07 13:54:37 UTC
Applying: Fix for Bug 7083 - [SIGNED-OFF] Show creator name on list of public lists
error: koha-tmpl/intranet-tmpl/prog/en/modules/virtualshelves/shelves.tt: does not match index
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
error: Entry 'koha-tmpl/intranet-tmpl/prog/en/modules/virtualshelves/shelves.tt' not uptodate. Cannot merge.
fatal: merging of trees bf768d4642523bde5041af12d0403bec35148bb2 and 07a8614703fa983c030071c562ba07d3467f8448 failed
Failed to merge in the changes.

Please send a rebased patch. Will continue QA after it has arrived.
Comment 4 Marcel de Rooy 2011-12-07 13:56:00 UTC
(In reply to comment #3)
> Applying: Fix for Bug 7083 - [SIGNED-OFF] Show creator name on list of public
> lists
> error: koha-tmpl/intranet-tmpl/prog/en/modules/virtualshelves/shelves.tt: does
> not match index
> Using index info to reconstruct a base tree...
> Falling back to patching base and 3-way merge...
> error: Entry
> 'koha-tmpl/intranet-tmpl/prog/en/modules/virtualshelves/shelves.tt' not
> uptodate. Cannot merge.
> fatal: merging of trees bf768d4642523bde5041af12d0403bec35148bb2 and
> 07a8614703fa983c030071c562ba07d3467f8448 failed
> Failed to merge in the changes.
> 
> Please send a rebased patch. Will continue QA after it has arrived.

Sorry, this seems to be my problem. Looking further now..
Comment 5 Marcel de Rooy 2011-12-07 14:01:32 UTC
QA: Small change in code and template. Looks good. Marking Passed QA.
Comment 6 Paul Poulain 2011-12-08 10:50:20 UTC
patch pushed, please test

Chris_n this is an enhancement, but don't change the workflow, change only for staff, so OK for 3.6 imo
Comment 7 Paul Poulain 2012-01-18 15:21:15 UTC
seems I forgot to merge this patch. Done, it's really pushed now !
Comment 8 Jared Camins-Esakov 2012-05-23 12:54:12 UTC
This fix was included in the 3.6.x branch prior to 3.6.4.